curl --request GET \
--url https://services.leadconnectorhq.com/payments/coupon/list \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"data": [
{
"_id": "67f6c132d9485f9dacd5f123",
"usageCount": 12,
"limitPerCustomer": 5,
"altId": "79t07PzK8Tvf73d12312",
"altType": "location",
"name": "NEWT6",
"code": "NEWT6",
"discountType": "percentage",
"discountValue": 25,
"status": "scheduled",
"startDate": "2025-04-30T18:30:00.000Z",
"applyToFuturePayments": true,
"applyToFuturePaymentsConfig": {
"type": "fixed",
"duration": 3,
"durationType": "months"
},
"createdAt": "2025-04-09T18:49:22.026Z",
"updatedAt": "2025-04-09T18:49:22.026Z",
"endDate": "2025-05-30T18:30:00.000Z",
"userId": "q0m15dTLGeiGOXG123123"
}
],
"totalCount": 20,
"traceId": "c667b18d-8f5e-44cf-a914"
}The “List Coupons” API allows you to retrieve a list of all coupons available in your location. Use this endpoint to view all promotional offers and special discounts for your customers.
curl --request GET \
--url https://services.leadconnectorhq.com/payments/coupon/list \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"data": [
{
"_id": "67f6c132d9485f9dacd5f123",
"usageCount": 12,
"limitPerCustomer": 5,
"altId": "79t07PzK8Tvf73d12312",
"altType": "location",
"name": "NEWT6",
"code": "NEWT6",
"discountType": "percentage",
"discountValue": 25,
"status": "scheduled",
"startDate": "2025-04-30T18:30:00.000Z",
"applyToFuturePayments": true,
"applyToFuturePaymentsConfig": {
"type": "fixed",
"duration": 3,
"durationType": "months"
},
"createdAt": "2025-04-09T18:49:22.026Z",
"updatedAt": "2025-04-09T18:49:22.026Z",
"endDate": "2025-05-30T18:30:00.000Z",
"userId": "q0m15dTLGeiGOXG123123"
}
],
"totalCount": 20,
"traceId": "c667b18d-8f5e-44cf-a914"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id
"BQdAwxa0ky1iK2sstLGJ"
Alt Type
location "location"
Maximum number of coupons to return
10
Number of coupons to skip for pagination
0
Filter coupons by status
scheduled, active, expired "active"
Search term to filter coupons by name or code
"DEAL50"
Was this page helpful?